Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.asserting
Class AssertingCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.FilterCodec
              org.apache.lucene.codecs.asserting.AssertingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class AssertingCodec

extends FilterCodec

Acts like `Lucene42Codec` but with additional asserts.

Field Summary

Fields inherited from class org.apache.lucene.codecs.FilterCodec
`delegate`

Constructor Summary
`AssertingCodec()`

Method Summary
`DocValuesFormat` | `docValuesFormat()`
`NormsFormat` | `normsFormat()`
`PostingsFormat` | `postingsFormat()`
`StoredFieldsFormat` | `storedFieldsFormat()`
`TermVectorsFormat` | `termVectorsFormat()`

Methods inherited from class org.apache.lucene.codecs.FilterCodec
`fieldInfosFormat, liveDocsFormat, segmentInfoFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertingCodec

    public AssertingCodec()

Method Detail

### postingsFormat

    public PostingsFormat postingsFormat()

  Overrides:
    `postingsFormat` in class `FilterCodec`

### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()

  Overrides:
    `termVectorsFormat` in class `FilterCodec`

### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

  Overrides:
    `storedFieldsFormat` in class `FilterCodec`

### docValuesFormat

    public DocValuesFormat docValuesFormat()

  Overrides:
    `docValuesFormat` in class `FilterCodec`

### normsFormat

    public NormsFormat normsFormat()

  Overrides:
    `normsFormat` in class `FilterCodec`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.